---
search:
  tags:
    - Attribute Templates
    - POST
seo:
  description: >-
    Creates multiple attribute templates in a single atomic… Reference for the
    POST /api/v1/{team_slug}/{app_slug}/attributes/bulk endpoint in the
    Management API.
sidebar:
  label: Bulk Create Attribute Templates
  badge: POST
title: Bulk Create Attribute Templates
type: openapi-operation
---
Creates multiple attribute templates in a single atomic operation. Each template can have custom fields defined. Returns lists of successful and failed creations with detailed error reasons.

`POST /api/v1/{team_slug}/{app_slug}/attributes/bulk`

**Request body** (`application/json`, required)

Attribute templates to create (max 50)

- `items` (internal_pkg_webserver_v1.InputAttributeTemplate[], required)

Request body example:

```json
{
  "items": [
    {
      "fields": [
        {
          "key": "string",
          "name": "string",
          "type": "boolean"
        }
      ],
      "filterable": true,
      "key": "string",
      "name": "string",
      "resources": [
        "string"
      ],
      "translatable": true,
      "type": "string"
    }
  ]
}
```

**Responses**

- `200` — Templates processed successfully
- `400` — Invalid request payload
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed_creations": [
      {
        "input": {
          "fields": [
            {
              "key": "string",
              "name": "string",
              "type": "boolean"
            }
          ],
          "filterable": true,
          "key": "string",
          "name": "string",
          "resources": [
            "string"
          ],
          "translatable": true,
          "type": "string"
        },
        "reason": "string"
      }
    ],
    "successful_creations": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "created_at": "string",
        "fields": [
          {
            "created_at": "string",
            "id": "string",
            "key": "string",
            "name": "string",
            "type": "string",
            "updated_at": "string"
          }
        ],
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "resources": [
          "string"
        ],
        "translatable": true,
        "type": "string",
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
